NAME

OpenAPI::Client::OpenAI::Path::conversations-conversation_id - Documentation for the /conversations/{conversation_id} path.

OPERATIONS

DELETE /conversations/{conversation_id}

deleteConversation

$client->delete_conversation({
    body => { ... },
});

Delete a conversation. Items in the conversation will not be deleted.

Path/query parameters

  • conversation_id (in path, required, string) - The ID of the conversation to delete.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "deleted" : false,
   "id" : "string",
   "object" : "conversation.deleted"
}

GET /conversations/{conversation_id}

getConversation

$client->get_conversation({
    body => { ... },
});

Get a conversation

Path/query parameters

  • conversation_id (in path, required, string) - The ID of the conversation to retrieve.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "created_at" : 0,
   "id" : "string",
   "metadata" : null,
   "object" : "conversation"
}

POST /conversations/{conversation_id}

updateConversation

$client->update_conversation({
    body => { ... },
});

Update a conversation

Path/query parameters

  • conversation_id (in path, required, string) - The ID of the conversation to update.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "created_at" : 0,
   "id" : "string",
   "metadata" : null,
   "object" : "conversation"
}

SCHEMAS

ConversationResource

Properties:

  • created_at (integer, required) - The time at which the conversation was created, measured in seconds since the Unix epoch.

  • id (string, required) - The unique ID of the conversation.

  • metadata (unknown, required) - Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

  • object (string, required) - The object type, which is always conversation .

    Allowed values: conversation

    Default: conversation

DeletedConversationResource

Properties:

  • deleted (boolean, required)

  • id (string, required)

  • object (string, required)

    Allowed values: conversation.deleted

    Default: conversation.deleted

Metadata

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

UpdateConversationBody

Properties:

  • metadata (Metadata, required) - Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

    See "Metadata" below for shape.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.